package com.mortals.xhx.module.perform.model;

import java.math.BigDecimal;
import java.util.List;
import com.mortals.xhx.module.perform.model.PerformPerposeDeptStatEntity;
/**
* 部门目标统计查询对象
*
* @author zxfei
* @date 2023-05-16
*/
public class PerformPerposeDeptStatQuery extends PerformPerposeDeptStatEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 部门id号 */
    private Long deptIdStart;

    /** 结束 部门id号 */
    private Long deptIdEnd;

    /** 增加 部门id号 */
    private Long deptIdIncrement;

    /** 部门id号列表 */
    private List <Long> deptIdList;

    /** 部门id号排除列表 */
    private List <Long> deptIdNotList;

    /** 部门名称 */
    private List<String> deptNameList;

    /** 部门名称排除列表 */
    private List <String> deptNameNotList;
    /** 开始 旷工率 */
    private BigDecimal absentRateStart;

    /** 结束 旷工率 */
    private BigDecimal absentRateEnd;

    /** 增加 旷工率 */
    private BigDecimal absentRateIncrement;

    /** 旷工率列表 */
    private List <BigDecimal> absentRateList;

    /** 旷工率排除列表 */
    private List <BigDecimal> absentRateNotList;

    /** 开始 缺卡率 */
    private BigDecimal absenceRateStart;

    /** 结束 缺卡率 */
    private BigDecimal absenceRateEnd;

    /** 增加 缺卡率 */
    private BigDecimal absenceRateIncrement;

    /** 缺卡率列表 */
    private List <BigDecimal> absenceRateList;

    /** 缺卡率排除列表 */
    private List <BigDecimal> absenceRateNotList;

    /** 开始 迟到率 */
    private BigDecimal lateRateStart;

    /** 结束 迟到率 */
    private BigDecimal lateRateEnd;

    /** 增加 迟到率 */
    private BigDecimal lateRateIncrement;

    /** 迟到率列表 */
    private List <BigDecimal> lateRateList;

    /** 迟到率排除列表 */
    private List <BigDecimal> lateRateNotList;

    /** 开始 早退率 */
    private BigDecimal earlyRateStart;

    /** 结束 早退率 */
    private BigDecimal earlyRateEnd;

    /** 增加 早退率 */
    private BigDecimal earlyRateIncrement;

    /** 早退率列表 */
    private List <BigDecimal> earlyRateList;

    /** 早退率排除列表 */
    private List <BigDecimal> earlyRateNotList;

    /** 开始 请假率 */
    private BigDecimal leaveRateStart;

    /** 结束 请假率 */
    private BigDecimal leaveRateEnd;

    /** 增加 请假率 */
    private BigDecimal leaveRateIncrement;

    /** 请假率列表 */
    private List <BigDecimal> leaveRateList;

    /** 请假率排除列表 */
    private List <BigDecimal> leaveRateNotList;

    /** 开始 离岗率 */
    private BigDecimal turnoverRateStart;

    /** 结束 离岗率 */
    private BigDecimal turnoverRateEnd;

    /** 增加 离岗率 */
    private BigDecimal turnoverRateIncrement;

    /** 离岗率列表 */
    private List <BigDecimal> turnoverRateList;

    /** 离岗率排除列表 */
    private List <BigDecimal> turnoverRateNotList;

    /** 开始 睡觉率 */
    private BigDecimal sleepRateStart;

    /** 结束 睡觉率 */
    private BigDecimal sleepRateEnd;

    /** 增加 睡觉率 */
    private BigDecimal sleepRateIncrement;

    /** 睡觉率列表 */
    private List <BigDecimal> sleepRateList;

    /** 睡觉率排除列表 */
    private List <BigDecimal> sleepRateNotList;

    /** 开始 玩手机率 */
    private BigDecimal playPhoneRateStart;

    /** 结束 玩手机率 */
    private BigDecimal playPhoneRateEnd;

    /** 增加 玩手机率 */
    private BigDecimal playPhoneRateIncrement;

    /** 玩手机率列表 */
    private List <BigDecimal> playPhoneRateList;

    /** 玩手机率排除列表 */
    private List <BigDecimal> playPhoneRateNotList;

    /** 开始 办件超期率 */
    private BigDecimal expireWorkRateStart;

    /** 结束 办件超期率 */
    private BigDecimal expireWorkRateEnd;

    /** 增加 办件超期率 */
    private BigDecimal expireWorkRateIncrement;

    /** 办件超期率列表 */
    private List <BigDecimal> expireWorkRateList;

    /** 办件超期率排除列表 */
    private List <BigDecimal> expireWorkRateNotList;

    /** 开始 差评率 */
    private BigDecimal negaReviewRateStart;

    /** 结束 差评率 */
    private BigDecimal negaReviewRateEnd;

    /** 增加 差评率 */
    private BigDecimal negaReviewRateIncrement;

    /** 差评率列表 */
    private List <BigDecimal> negaReviewRateList;

    /** 差评率排除列表 */
    private List <BigDecimal> negaReviewRateNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 年 */
    private Integer yearStart;

    /** 结束 年 */
    private Integer yearEnd;

    /** 增加 年 */
    private Integer yearIncrement;

    /** 年列表 */
    private List <Integer> yearList;

    /** 年排除列表 */
    private List <Integer> yearNotList;

    /** 开始 月 */
    private Integer monthStart;

    /** 结束 月 */
    private Integer monthEnd;

    /** 增加 月 */
    private Integer monthIncrement;

    /** 月列表 */
    private List <Integer> monthList;

    /** 月排除列表 */
    private List <Integer> monthNotList;

    /** 开始 日 */
    private Integer dayStart;

    /** 结束 日 */
    private Integer dayEnd;

    /** 增加 日 */
    private Integer dayIncrement;

    /** 日列表 */
    private List <Integer> dayList;

    /** 日排除列表 */
    private List <Integer> dayNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建人id */
    private Long createUserIdStart;

    /** 结束 创建人id */
    private Long createUserIdEnd;

    /** 增加 创建人id */
    private Long createUserIdIncrement;

    /** 创建人id列表 */
    private List <Long> createUserIdList;

    /** 创建人id排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 开始 更新人id */
    private Long updateUserIdStart;

    /** 结束 更新人id */
    private Long updateUserIdEnd;

    /** 增加 更新人id */
    private Long updateUserIdIncrement;

    /** 更新人id列表 */
    private List <Long> updateUserIdList;

    /** 更新人id排除列表 */
    private List <Long> updateUserIdNotList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<PerformPerposeDeptStatQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<PerformPerposeDeptStatQuery> andConditionList;

    public PerformPerposeDeptStatQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 部门id号
    * @return deptIdStart
    */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
    * 设置 开始 部门id号
    * @param deptIdStart
    */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
    * 获取 结束 部门id号
    * @return $deptIdEnd
    */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
    * 设置 结束 部门id号
    * @param deptIdEnd
    */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
    * 获取 增加 部门id号
    * @return deptIdIncrement
    */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
    * 设置 增加 部门id号
    * @param deptIdIncrement
    */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
    * 获取 部门id号
    * @return deptIdList
    */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
    * 设置 部门id号
    * @param deptIdList
    */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
    * 获取 部门id号
    * @return deptIdNotList
    */
    public List<Long> getDeptIdNotList(){
        return this.deptIdNotList;
    }

    /**
    * 设置 部门id号
    * @param deptIdNotList
    */
    public void setDeptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
    }


    /**
    * 获取 部门名称
    * @return deptNameList
    */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
    * 设置 部门名称
    * @param deptNameList
    */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
    * 获取 部门名称
    * @return deptNameNotList
    */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
    * 设置 部门名称
    * @param deptNameNotList
    */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
    * 获取 开始 旷工率
    * @return absentRateStart
    */
    public BigDecimal getAbsentRateStart(){
        return this.absentRateStart;
    }

    /**
    * 设置 开始 旷工率
    * @param absentRateStart
    */
    public void setAbsentRateStart(BigDecimal absentRateStart){
        this.absentRateStart = absentRateStart;
    }

    /**
    * 获取 结束 旷工率
    * @return $absentRateEnd
    */
    public BigDecimal getAbsentRateEnd(){
        return this.absentRateEnd;
    }

    /**
    * 设置 结束 旷工率
    * @param absentRateEnd
    */
    public void setAbsentRateEnd(BigDecimal absentRateEnd){
        this.absentRateEnd = absentRateEnd;
    }

    /**
    * 获取 增加 旷工率
    * @return absentRateIncrement
    */
    public BigDecimal getAbsentRateIncrement(){
        return this.absentRateIncrement;
    }

    /**
    * 设置 增加 旷工率
    * @param absentRateIncrement
    */
    public void setAbsentRateIncrement(BigDecimal absentRateIncrement){
        this.absentRateIncrement = absentRateIncrement;
    }

    /**
    * 获取 旷工率
    * @return absentRateList
    */
    public List<BigDecimal> getAbsentRateList(){
        return this.absentRateList;
    }

    /**
    * 设置 旷工率
    * @param absentRateList
    */
    public void setAbsentRateList(List<BigDecimal> absentRateList){
        this.absentRateList = absentRateList;
    }

    /**
    * 获取 旷工率
    * @return absentRateNotList
    */
    public List<BigDecimal> getAbsentRateNotList(){
        return this.absentRateNotList;
    }

    /**
    * 设置 旷工率
    * @param absentRateNotList
    */
    public void setAbsentRateNotList(List<BigDecimal> absentRateNotList){
        this.absentRateNotList = absentRateNotList;
    }


    /**
    * 获取 开始 缺卡率
    * @return absenceRateStart
    */
    public BigDecimal getAbsenceRateStart(){
        return this.absenceRateStart;
    }

    /**
    * 设置 开始 缺卡率
    * @param absenceRateStart
    */
    public void setAbsenceRateStart(BigDecimal absenceRateStart){
        this.absenceRateStart = absenceRateStart;
    }

    /**
    * 获取 结束 缺卡率
    * @return $absenceRateEnd
    */
    public BigDecimal getAbsenceRateEnd(){
        return this.absenceRateEnd;
    }

    /**
    * 设置 结束 缺卡率
    * @param absenceRateEnd
    */
    public void setAbsenceRateEnd(BigDecimal absenceRateEnd){
        this.absenceRateEnd = absenceRateEnd;
    }

    /**
    * 获取 增加 缺卡率
    * @return absenceRateIncrement
    */
    public BigDecimal getAbsenceRateIncrement(){
        return this.absenceRateIncrement;
    }

    /**
    * 设置 增加 缺卡率
    * @param absenceRateIncrement
    */
    public void setAbsenceRateIncrement(BigDecimal absenceRateIncrement){
        this.absenceRateIncrement = absenceRateIncrement;
    }

    /**
    * 获取 缺卡率
    * @return absenceRateList
    */
    public List<BigDecimal> getAbsenceRateList(){
        return this.absenceRateList;
    }

    /**
    * 设置 缺卡率
    * @param absenceRateList
    */
    public void setAbsenceRateList(List<BigDecimal> absenceRateList){
        this.absenceRateList = absenceRateList;
    }

    /**
    * 获取 缺卡率
    * @return absenceRateNotList
    */
    public List<BigDecimal> getAbsenceRateNotList(){
        return this.absenceRateNotList;
    }

    /**
    * 设置 缺卡率
    * @param absenceRateNotList
    */
    public void setAbsenceRateNotList(List<BigDecimal> absenceRateNotList){
        this.absenceRateNotList = absenceRateNotList;
    }


    /**
    * 获取 开始 迟到率
    * @return lateRateStart
    */
    public BigDecimal getLateRateStart(){
        return this.lateRateStart;
    }

    /**
    * 设置 开始 迟到率
    * @param lateRateStart
    */
    public void setLateRateStart(BigDecimal lateRateStart){
        this.lateRateStart = lateRateStart;
    }

    /**
    * 获取 结束 迟到率
    * @return $lateRateEnd
    */
    public BigDecimal getLateRateEnd(){
        return this.lateRateEnd;
    }

    /**
    * 设置 结束 迟到率
    * @param lateRateEnd
    */
    public void setLateRateEnd(BigDecimal lateRateEnd){
        this.lateRateEnd = lateRateEnd;
    }

    /**
    * 获取 增加 迟到率
    * @return lateRateIncrement
    */
    public BigDecimal getLateRateIncrement(){
        return this.lateRateIncrement;
    }

    /**
    * 设置 增加 迟到率
    * @param lateRateIncrement
    */
    public void setLateRateIncrement(BigDecimal lateRateIncrement){
        this.lateRateIncrement = lateRateIncrement;
    }

    /**
    * 获取 迟到率
    * @return lateRateList
    */
    public List<BigDecimal> getLateRateList(){
        return this.lateRateList;
    }

    /**
    * 设置 迟到率
    * @param lateRateList
    */
    public void setLateRateList(List<BigDecimal> lateRateList){
        this.lateRateList = lateRateList;
    }

    /**
    * 获取 迟到率
    * @return lateRateNotList
    */
    public List<BigDecimal> getLateRateNotList(){
        return this.lateRateNotList;
    }

    /**
    * 设置 迟到率
    * @param lateRateNotList
    */
    public void setLateRateNotList(List<BigDecimal> lateRateNotList){
        this.lateRateNotList = lateRateNotList;
    }


    /**
    * 获取 开始 早退率
    * @return earlyRateStart
    */
    public BigDecimal getEarlyRateStart(){
        return this.earlyRateStart;
    }

    /**
    * 设置 开始 早退率
    * @param earlyRateStart
    */
    public void setEarlyRateStart(BigDecimal earlyRateStart){
        this.earlyRateStart = earlyRateStart;
    }

    /**
    * 获取 结束 早退率
    * @return $earlyRateEnd
    */
    public BigDecimal getEarlyRateEnd(){
        return this.earlyRateEnd;
    }

    /**
    * 设置 结束 早退率
    * @param earlyRateEnd
    */
    public void setEarlyRateEnd(BigDecimal earlyRateEnd){
        this.earlyRateEnd = earlyRateEnd;
    }

    /**
    * 获取 增加 早退率
    * @return earlyRateIncrement
    */
    public BigDecimal getEarlyRateIncrement(){
        return this.earlyRateIncrement;
    }

    /**
    * 设置 增加 早退率
    * @param earlyRateIncrement
    */
    public void setEarlyRateIncrement(BigDecimal earlyRateIncrement){
        this.earlyRateIncrement = earlyRateIncrement;
    }

    /**
    * 获取 早退率
    * @return earlyRateList
    */
    public List<BigDecimal> getEarlyRateList(){
        return this.earlyRateList;
    }

    /**
    * 设置 早退率
    * @param earlyRateList
    */
    public void setEarlyRateList(List<BigDecimal> earlyRateList){
        this.earlyRateList = earlyRateList;
    }

    /**
    * 获取 早退率
    * @return earlyRateNotList
    */
    public List<BigDecimal> getEarlyRateNotList(){
        return this.earlyRateNotList;
    }

    /**
    * 设置 早退率
    * @param earlyRateNotList
    */
    public void setEarlyRateNotList(List<BigDecimal> earlyRateNotList){
        this.earlyRateNotList = earlyRateNotList;
    }


    /**
    * 获取 开始 请假率
    * @return leaveRateStart
    */
    public BigDecimal getLeaveRateStart(){
        return this.leaveRateStart;
    }

    /**
    * 设置 开始 请假率
    * @param leaveRateStart
    */
    public void setLeaveRateStart(BigDecimal leaveRateStart){
        this.leaveRateStart = leaveRateStart;
    }

    /**
    * 获取 结束 请假率
    * @return $leaveRateEnd
    */
    public BigDecimal getLeaveRateEnd(){
        return this.leaveRateEnd;
    }

    /**
    * 设置 结束 请假率
    * @param leaveRateEnd
    */
    public void setLeaveRateEnd(BigDecimal leaveRateEnd){
        this.leaveRateEnd = leaveRateEnd;
    }

    /**
    * 获取 增加 请假率
    * @return leaveRateIncrement
    */
    public BigDecimal getLeaveRateIncrement(){
        return this.leaveRateIncrement;
    }

    /**
    * 设置 增加 请假率
    * @param leaveRateIncrement
    */
    public void setLeaveRateIncrement(BigDecimal leaveRateIncrement){
        this.leaveRateIncrement = leaveRateIncrement;
    }

    /**
    * 获取 请假率
    * @return leaveRateList
    */
    public List<BigDecimal> getLeaveRateList(){
        return this.leaveRateList;
    }

    /**
    * 设置 请假率
    * @param leaveRateList
    */
    public void setLeaveRateList(List<BigDecimal> leaveRateList){
        this.leaveRateList = leaveRateList;
    }

    /**
    * 获取 请假率
    * @return leaveRateNotList
    */
    public List<BigDecimal> getLeaveRateNotList(){
        return this.leaveRateNotList;
    }

    /**
    * 设置 请假率
    * @param leaveRateNotList
    */
    public void setLeaveRateNotList(List<BigDecimal> leaveRateNotList){
        this.leaveRateNotList = leaveRateNotList;
    }


    /**
    * 获取 开始 离岗率
    * @return turnoverRateStart
    */
    public BigDecimal getTurnoverRateStart(){
        return this.turnoverRateStart;
    }

    /**
    * 设置 开始 离岗率
    * @param turnoverRateStart
    */
    public void setTurnoverRateStart(BigDecimal turnoverRateStart){
        this.turnoverRateStart = turnoverRateStart;
    }

    /**
    * 获取 结束 离岗率
    * @return $turnoverRateEnd
    */
    public BigDecimal getTurnoverRateEnd(){
        return this.turnoverRateEnd;
    }

    /**
    * 设置 结束 离岗率
    * @param turnoverRateEnd
    */
    public void setTurnoverRateEnd(BigDecimal turnoverRateEnd){
        this.turnoverRateEnd = turnoverRateEnd;
    }

    /**
    * 获取 增加 离岗率
    * @return turnoverRateIncrement
    */
    public BigDecimal getTurnoverRateIncrement(){
        return this.turnoverRateIncrement;
    }

    /**
    * 设置 增加 离岗率
    * @param turnoverRateIncrement
    */
    public void setTurnoverRateIncrement(BigDecimal turnoverRateIncrement){
        this.turnoverRateIncrement = turnoverRateIncrement;
    }

    /**
    * 获取 离岗率
    * @return turnoverRateList
    */
    public List<BigDecimal> getTurnoverRateList(){
        return this.turnoverRateList;
    }

    /**
    * 设置 离岗率
    * @param turnoverRateList
    */
    public void setTurnoverRateList(List<BigDecimal> turnoverRateList){
        this.turnoverRateList = turnoverRateList;
    }

    /**
    * 获取 离岗率
    * @return turnoverRateNotList
    */
    public List<BigDecimal> getTurnoverRateNotList(){
        return this.turnoverRateNotList;
    }

    /**
    * 设置 离岗率
    * @param turnoverRateNotList
    */
    public void setTurnoverRateNotList(List<BigDecimal> turnoverRateNotList){
        this.turnoverRateNotList = turnoverRateNotList;
    }


    /**
    * 获取 开始 睡觉率
    * @return sleepRateStart
    */
    public BigDecimal getSleepRateStart(){
        return this.sleepRateStart;
    }

    /**
    * 设置 开始 睡觉率
    * @param sleepRateStart
    */
    public void setSleepRateStart(BigDecimal sleepRateStart){
        this.sleepRateStart = sleepRateStart;
    }

    /**
    * 获取 结束 睡觉率
    * @return $sleepRateEnd
    */
    public BigDecimal getSleepRateEnd(){
        return this.sleepRateEnd;
    }

    /**
    * 设置 结束 睡觉率
    * @param sleepRateEnd
    */
    public void setSleepRateEnd(BigDecimal sleepRateEnd){
        this.sleepRateEnd = sleepRateEnd;
    }

    /**
    * 获取 增加 睡觉率
    * @return sleepRateIncrement
    */
    public BigDecimal getSleepRateIncrement(){
        return this.sleepRateIncrement;
    }

    /**
    * 设置 增加 睡觉率
    * @param sleepRateIncrement
    */
    public void setSleepRateIncrement(BigDecimal sleepRateIncrement){
        this.sleepRateIncrement = sleepRateIncrement;
    }

    /**
    * 获取 睡觉率
    * @return sleepRateList
    */
    public List<BigDecimal> getSleepRateList(){
        return this.sleepRateList;
    }

    /**
    * 设置 睡觉率
    * @param sleepRateList
    */
    public void setSleepRateList(List<BigDecimal> sleepRateList){
        this.sleepRateList = sleepRateList;
    }

    /**
    * 获取 睡觉率
    * @return sleepRateNotList
    */
    public List<BigDecimal> getSleepRateNotList(){
        return this.sleepRateNotList;
    }

    /**
    * 设置 睡觉率
    * @param sleepRateNotList
    */
    public void setSleepRateNotList(List<BigDecimal> sleepRateNotList){
        this.sleepRateNotList = sleepRateNotList;
    }


    /**
    * 获取 开始 玩手机率
    * @return playPhoneRateStart
    */
    public BigDecimal getPlayPhoneRateStart(){
        return this.playPhoneRateStart;
    }

    /**
    * 设置 开始 玩手机率
    * @param playPhoneRateStart
    */
    public void setPlayPhoneRateStart(BigDecimal playPhoneRateStart){
        this.playPhoneRateStart = playPhoneRateStart;
    }

    /**
    * 获取 结束 玩手机率
    * @return $playPhoneRateEnd
    */
    public BigDecimal getPlayPhoneRateEnd(){
        return this.playPhoneRateEnd;
    }

    /**
    * 设置 结束 玩手机率
    * @param playPhoneRateEnd
    */
    public void setPlayPhoneRateEnd(BigDecimal playPhoneRateEnd){
        this.playPhoneRateEnd = playPhoneRateEnd;
    }

    /**
    * 获取 增加 玩手机率
    * @return playPhoneRateIncrement
    */
    public BigDecimal getPlayPhoneRateIncrement(){
        return this.playPhoneRateIncrement;
    }

    /**
    * 设置 增加 玩手机率
    * @param playPhoneRateIncrement
    */
    public void setPlayPhoneRateIncrement(BigDecimal playPhoneRateIncrement){
        this.playPhoneRateIncrement = playPhoneRateIncrement;
    }

    /**
    * 获取 玩手机率
    * @return playPhoneRateList
    */
    public List<BigDecimal> getPlayPhoneRateList(){
        return this.playPhoneRateList;
    }

    /**
    * 设置 玩手机率
    * @param playPhoneRateList
    */
    public void setPlayPhoneRateList(List<BigDecimal> playPhoneRateList){
        this.playPhoneRateList = playPhoneRateList;
    }

    /**
    * 获取 玩手机率
    * @return playPhoneRateNotList
    */
    public List<BigDecimal> getPlayPhoneRateNotList(){
        return this.playPhoneRateNotList;
    }

    /**
    * 设置 玩手机率
    * @param playPhoneRateNotList
    */
    public void setPlayPhoneRateNotList(List<BigDecimal> playPhoneRateNotList){
        this.playPhoneRateNotList = playPhoneRateNotList;
    }


    /**
    * 获取 开始 办件超期率
    * @return expireWorkRateStart
    */
    public BigDecimal getExpireWorkRateStart(){
        return this.expireWorkRateStart;
    }

    /**
    * 设置 开始 办件超期率
    * @param expireWorkRateStart
    */
    public void setExpireWorkRateStart(BigDecimal expireWorkRateStart){
        this.expireWorkRateStart = expireWorkRateStart;
    }

    /**
    * 获取 结束 办件超期率
    * @return $expireWorkRateEnd
    */
    public BigDecimal getExpireWorkRateEnd(){
        return this.expireWorkRateEnd;
    }

    /**
    * 设置 结束 办件超期率
    * @param expireWorkRateEnd
    */
    public void setExpireWorkRateEnd(BigDecimal expireWorkRateEnd){
        this.expireWorkRateEnd = expireWorkRateEnd;
    }

    /**
    * 获取 增加 办件超期率
    * @return expireWorkRateIncrement
    */
    public BigDecimal getExpireWorkRateIncrement(){
        return this.expireWorkRateIncrement;
    }

    /**
    * 设置 增加 办件超期率
    * @param expireWorkRateIncrement
    */
    public void setExpireWorkRateIncrement(BigDecimal expireWorkRateIncrement){
        this.expireWorkRateIncrement = expireWorkRateIncrement;
    }

    /**
    * 获取 办件超期率
    * @return expireWorkRateList
    */
    public List<BigDecimal> getExpireWorkRateList(){
        return this.expireWorkRateList;
    }

    /**
    * 设置 办件超期率
    * @param expireWorkRateList
    */
    public void setExpireWorkRateList(List<BigDecimal> expireWorkRateList){
        this.expireWorkRateList = expireWorkRateList;
    }

    /**
    * 获取 办件超期率
    * @return expireWorkRateNotList
    */
    public List<BigDecimal> getExpireWorkRateNotList(){
        return this.expireWorkRateNotList;
    }

    /**
    * 设置 办件超期率
    * @param expireWorkRateNotList
    */
    public void setExpireWorkRateNotList(List<BigDecimal> expireWorkRateNotList){
        this.expireWorkRateNotList = expireWorkRateNotList;
    }


    /**
    * 获取 开始 差评率
    * @return negaReviewRateStart
    */
    public BigDecimal getNegaReviewRateStart(){
        return this.negaReviewRateStart;
    }

    /**
    * 设置 开始 差评率
    * @param negaReviewRateStart
    */
    public void setNegaReviewRateStart(BigDecimal negaReviewRateStart){
        this.negaReviewRateStart = negaReviewRateStart;
    }

    /**
    * 获取 结束 差评率
    * @return $negaReviewRateEnd
    */
    public BigDecimal getNegaReviewRateEnd(){
        return this.negaReviewRateEnd;
    }

    /**
    * 设置 结束 差评率
    * @param negaReviewRateEnd
    */
    public void setNegaReviewRateEnd(BigDecimal negaReviewRateEnd){
        this.negaReviewRateEnd = negaReviewRateEnd;
    }

    /**
    * 获取 增加 差评率
    * @return negaReviewRateIncrement
    */
    public BigDecimal getNegaReviewRateIncrement(){
        return this.negaReviewRateIncrement;
    }

    /**
    * 设置 增加 差评率
    * @param negaReviewRateIncrement
    */
    public void setNegaReviewRateIncrement(BigDecimal negaReviewRateIncrement){
        this.negaReviewRateIncrement = negaReviewRateIncrement;
    }

    /**
    * 获取 差评率
    * @return negaReviewRateList
    */
    public List<BigDecimal> getNegaReviewRateList(){
        return this.negaReviewRateList;
    }

    /**
    * 设置 差评率
    * @param negaReviewRateList
    */
    public void setNegaReviewRateList(List<BigDecimal> negaReviewRateList){
        this.negaReviewRateList = negaReviewRateList;
    }

    /**
    * 获取 差评率
    * @return negaReviewRateNotList
    */
    public List<BigDecimal> getNegaReviewRateNotList(){
        return this.negaReviewRateNotList;
    }

    /**
    * 设置 差评率
    * @param negaReviewRateNotList
    */
    public void setNegaReviewRateNotList(List<BigDecimal> negaReviewRateNotList){
        this.negaReviewRateNotList = negaReviewRateNotList;
    }


    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 年
    * @return yearStart
    */
    public Integer getYearStart(){
        return this.yearStart;
    }

    /**
    * 设置 开始 年
    * @param yearStart
    */
    public void setYearStart(Integer yearStart){
        this.yearStart = yearStart;
    }

    /**
    * 获取 结束 年
    * @return $yearEnd
    */
    public Integer getYearEnd(){
        return this.yearEnd;
    }

    /**
    * 设置 结束 年
    * @param yearEnd
    */
    public void setYearEnd(Integer yearEnd){
        this.yearEnd = yearEnd;
    }

    /**
    * 获取 增加 年
    * @return yearIncrement
    */
    public Integer getYearIncrement(){
        return this.yearIncrement;
    }

    /**
    * 设置 增加 年
    * @param yearIncrement
    */
    public void setYearIncrement(Integer yearIncrement){
        this.yearIncrement = yearIncrement;
    }

    /**
    * 获取 年
    * @return yearList
    */
    public List<Integer> getYearList(){
        return this.yearList;
    }

    /**
    * 设置 年
    * @param yearList
    */
    public void setYearList(List<Integer> yearList){
        this.yearList = yearList;
    }

    /**
    * 获取 年
    * @return yearNotList
    */
    public List<Integer> getYearNotList(){
        return this.yearNotList;
    }

    /**
    * 设置 年
    * @param yearNotList
    */
    public void setYearNotList(List<Integer> yearNotList){
        this.yearNotList = yearNotList;
    }


    /**
    * 获取 开始 月
    * @return monthStart
    */
    public Integer getMonthStart(){
        return this.monthStart;
    }

    /**
    * 设置 开始 月
    * @param monthStart
    */
    public void setMonthStart(Integer monthStart){
        this.monthStart = monthStart;
    }

    /**
    * 获取 结束 月
    * @return $monthEnd
    */
    public Integer getMonthEnd(){
        return this.monthEnd;
    }

    /**
    * 设置 结束 月
    * @param monthEnd
    */
    public void setMonthEnd(Integer monthEnd){
        this.monthEnd = monthEnd;
    }

    /**
    * 获取 增加 月
    * @return monthIncrement
    */
    public Integer getMonthIncrement(){
        return this.monthIncrement;
    }

    /**
    * 设置 增加 月
    * @param monthIncrement
    */
    public void setMonthIncrement(Integer monthIncrement){
        this.monthIncrement = monthIncrement;
    }

    /**
    * 获取 月
    * @return monthList
    */
    public List<Integer> getMonthList(){
        return this.monthList;
    }

    /**
    * 设置 月
    * @param monthList
    */
    public void setMonthList(List<Integer> monthList){
        this.monthList = monthList;
    }

    /**
    * 获取 月
    * @return monthNotList
    */
    public List<Integer> getMonthNotList(){
        return this.monthNotList;
    }

    /**
    * 设置 月
    * @param monthNotList
    */
    public void setMonthNotList(List<Integer> monthNotList){
        this.monthNotList = monthNotList;
    }


    /**
    * 获取 开始 日
    * @return dayStart
    */
    public Integer getDayStart(){
        return this.dayStart;
    }

    /**
    * 设置 开始 日
    * @param dayStart
    */
    public void setDayStart(Integer dayStart){
        this.dayStart = dayStart;
    }

    /**
    * 获取 结束 日
    * @return $dayEnd
    */
    public Integer getDayEnd(){
        return this.dayEnd;
    }

    /**
    * 设置 结束 日
    * @param dayEnd
    */
    public void setDayEnd(Integer dayEnd){
        this.dayEnd = dayEnd;
    }

    /**
    * 获取 增加 日
    * @return dayIncrement
    */
    public Integer getDayIncrement(){
        return this.dayIncrement;
    }

    /**
    * 设置 增加 日
    * @param dayIncrement
    */
    public void setDayIncrement(Integer dayIncrement){
        this.dayIncrement = dayIncrement;
    }

    /**
    * 获取 日
    * @return dayList
    */
    public List<Integer> getDayList(){
        return this.dayList;
    }

    /**
    * 设置 日
    * @param dayList
    */
    public void setDayList(List<Integer> dayList){
        this.dayList = dayList;
    }

    /**
    * 获取 日
    * @return dayNotList
    */
    public List<Integer> getDayNotList(){
        return this.dayNotList;
    }

    /**
    * 设置 日
    * @param dayNotList
    */
    public void setDayNotList(List<Integer> dayNotList){
        this.dayNotList = dayNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建人id
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建人id
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建人id
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建人id
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建人id
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建人id
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建人id
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建人id
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建人id
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建人id
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 获取 开始 更新人id
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新人id
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新人id
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新人id
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新人id
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新人id
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新人id
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新人id
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新人id
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新人id
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public PerformPerposeDeptStatQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public PerformPerposeDeptStatQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public PerformPerposeDeptStatQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public PerformPerposeDeptStatQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public PerformPerposeDeptStatQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 主键ID，主键，自增长
        * @param idNotList
        */
        public PerformPerposeDeptStatQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  部门id号
    * @param deptId
    */
    public PerformPerposeDeptStatQuery deptId(Long deptId){
	    setDeptId(deptId);
		return this;
    }
	
	 /**
    * 设置 开始 部门id号
    * @param deptIdStart
    */
    public PerformPerposeDeptStatQuery deptIdStart(Long deptIdStart){
		this.deptIdStart = deptIdStart;
		return this;
    }

    /**
    * 设置 结束 部门id号
    * @param deptIdEnd
    */
    public PerformPerposeDeptStatQuery deptIdEnd(Long deptIdEnd){
		this.deptIdEnd = deptIdEnd;
		return this;
    }

    /**
    * 设置 增加 部门id号
    * @param deptIdIncrement
    */
    public PerformPerposeDeptStatQuery deptIdIncrement(Long deptIdIncrement){
		this.deptIdIncrement = deptIdIncrement;
		return this;
    }

    /**
    * 设置 部门id号
    * @param deptIdList
    */
    public PerformPerposeDeptStatQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
		return this;
        }

        /**
        * 设置 部门id号
        * @param deptIdNotList
        */
        public PerformPerposeDeptStatQuery deptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
        return this;
        }


	/**
    * 设置 部门名称
    * @param deptName
    */
    public PerformPerposeDeptStatQuery deptName(String deptName){
        setDeptName(deptName);
		return this;
    }

    /**
    * 设置 部门名称
    * @param deptNameList
    */
    public PerformPerposeDeptStatQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
		return this;
    }

    /**
    * 设置  旷工率
    * @param absentRate
    */
    public PerformPerposeDeptStatQuery absentRate(BigDecimal absentRate){
	    setAbsentRate(absentRate);
		return this;
    }
	
	 /**
    * 设置 开始 旷工率
    * @param absentRateStart
    */
    public PerformPerposeDeptStatQuery absentRateStart(BigDecimal absentRateStart){
		this.absentRateStart = absentRateStart;
		return this;
    }

    /**
    * 设置 结束 旷工率
    * @param absentRateEnd
    */
    public PerformPerposeDeptStatQuery absentRateEnd(BigDecimal absentRateEnd){
		this.absentRateEnd = absentRateEnd;
		return this;
    }

    /**
    * 设置 增加 旷工率
    * @param absentRateIncrement
    */
    public PerformPerposeDeptStatQuery absentRateIncrement(BigDecimal absentRateIncrement){
		this.absentRateIncrement = absentRateIncrement;
		return this;
    }

    /**
    * 设置 旷工率
    * @param absentRateList
    */
    public PerformPerposeDeptStatQuery absentRateList(List<BigDecimal> absentRateList){
        this.absentRateList = absentRateList;
		return this;
        }

        /**
        * 设置 旷工率
        * @param absentRateNotList
        */
        public PerformPerposeDeptStatQuery absentRateNotList(List<BigDecimal> absentRateNotList){
        this.absentRateNotList = absentRateNotList;
        return this;
        }

    /**
    * 设置  缺卡率
    * @param absenceRate
    */
    public PerformPerposeDeptStatQuery absenceRate(BigDecimal absenceRate){
	    setAbsenceRate(absenceRate);
		return this;
    }
	
	 /**
    * 设置 开始 缺卡率
    * @param absenceRateStart
    */
    public PerformPerposeDeptStatQuery absenceRateStart(BigDecimal absenceRateStart){
		this.absenceRateStart = absenceRateStart;
		return this;
    }

    /**
    * 设置 结束 缺卡率
    * @param absenceRateEnd
    */
    public PerformPerposeDeptStatQuery absenceRateEnd(BigDecimal absenceRateEnd){
		this.absenceRateEnd = absenceRateEnd;
		return this;
    }

    /**
    * 设置 增加 缺卡率
    * @param absenceRateIncrement
    */
    public PerformPerposeDeptStatQuery absenceRateIncrement(BigDecimal absenceRateIncrement){
		this.absenceRateIncrement = absenceRateIncrement;
		return this;
    }

    /**
    * 设置 缺卡率
    * @param absenceRateList
    */
    public PerformPerposeDeptStatQuery absenceRateList(List<BigDecimal> absenceRateList){
        this.absenceRateList = absenceRateList;
		return this;
        }

        /**
        * 设置 缺卡率
        * @param absenceRateNotList
        */
        public PerformPerposeDeptStatQuery absenceRateNotList(List<BigDecimal> absenceRateNotList){
        this.absenceRateNotList = absenceRateNotList;
        return this;
        }

    /**
    * 设置  迟到率
    * @param lateRate
    */
    public PerformPerposeDeptStatQuery lateRate(BigDecimal lateRate){
	    setLateRate(lateRate);
		return this;
    }
	
	 /**
    * 设置 开始 迟到率
    * @param lateRateStart
    */
    public PerformPerposeDeptStatQuery lateRateStart(BigDecimal lateRateStart){
		this.lateRateStart = lateRateStart;
		return this;
    }

    /**
    * 设置 结束 迟到率
    * @param lateRateEnd
    */
    public PerformPerposeDeptStatQuery lateRateEnd(BigDecimal lateRateEnd){
		this.lateRateEnd = lateRateEnd;
		return this;
    }

    /**
    * 设置 增加 迟到率
    * @param lateRateIncrement
    */
    public PerformPerposeDeptStatQuery lateRateIncrement(BigDecimal lateRateIncrement){
		this.lateRateIncrement = lateRateIncrement;
		return this;
    }

    /**
    * 设置 迟到率
    * @param lateRateList
    */
    public PerformPerposeDeptStatQuery lateRateList(List<BigDecimal> lateRateList){
        this.lateRateList = lateRateList;
		return this;
        }

        /**
        * 设置 迟到率
        * @param lateRateNotList
        */
        public PerformPerposeDeptStatQuery lateRateNotList(List<BigDecimal> lateRateNotList){
        this.lateRateNotList = lateRateNotList;
        return this;
        }

    /**
    * 设置  早退率
    * @param earlyRate
    */
    public PerformPerposeDeptStatQuery earlyRate(BigDecimal earlyRate){
	    setEarlyRate(earlyRate);
		return this;
    }
	
	 /**
    * 设置 开始 早退率
    * @param earlyRateStart
    */
    public PerformPerposeDeptStatQuery earlyRateStart(BigDecimal earlyRateStart){
		this.earlyRateStart = earlyRateStart;
		return this;
    }

    /**
    * 设置 结束 早退率
    * @param earlyRateEnd
    */
    public PerformPerposeDeptStatQuery earlyRateEnd(BigDecimal earlyRateEnd){
		this.earlyRateEnd = earlyRateEnd;
		return this;
    }

    /**
    * 设置 增加 早退率
    * @param earlyRateIncrement
    */
    public PerformPerposeDeptStatQuery earlyRateIncrement(BigDecimal earlyRateIncrement){
		this.earlyRateIncrement = earlyRateIncrement;
		return this;
    }

    /**
    * 设置 早退率
    * @param earlyRateList
    */
    public PerformPerposeDeptStatQuery earlyRateList(List<BigDecimal> earlyRateList){
        this.earlyRateList = earlyRateList;
		return this;
        }

        /**
        * 设置 早退率
        * @param earlyRateNotList
        */
        public PerformPerposeDeptStatQuery earlyRateNotList(List<BigDecimal> earlyRateNotList){
        this.earlyRateNotList = earlyRateNotList;
        return this;
        }

    /**
    * 设置  请假率
    * @param leaveRate
    */
    public PerformPerposeDeptStatQuery leaveRate(BigDecimal leaveRate){
	    setLeaveRate(leaveRate);
		return this;
    }
	
	 /**
    * 设置 开始 请假率
    * @param leaveRateStart
    */
    public PerformPerposeDeptStatQuery leaveRateStart(BigDecimal leaveRateStart){
		this.leaveRateStart = leaveRateStart;
		return this;
    }

    /**
    * 设置 结束 请假率
    * @param leaveRateEnd
    */
    public PerformPerposeDeptStatQuery leaveRateEnd(BigDecimal leaveRateEnd){
		this.leaveRateEnd = leaveRateEnd;
		return this;
    }

    /**
    * 设置 增加 请假率
    * @param leaveRateIncrement
    */
    public PerformPerposeDeptStatQuery leaveRateIncrement(BigDecimal leaveRateIncrement){
		this.leaveRateIncrement = leaveRateIncrement;
		return this;
    }

    /**
    * 设置 请假率
    * @param leaveRateList
    */
    public PerformPerposeDeptStatQuery leaveRateList(List<BigDecimal> leaveRateList){
        this.leaveRateList = leaveRateList;
		return this;
        }

        /**
        * 设置 请假率
        * @param leaveRateNotList
        */
        public PerformPerposeDeptStatQuery leaveRateNotList(List<BigDecimal> leaveRateNotList){
        this.leaveRateNotList = leaveRateNotList;
        return this;
        }

    /**
    * 设置  离岗率
    * @param turnoverRate
    */
    public PerformPerposeDeptStatQuery turnoverRate(BigDecimal turnoverRate){
	    setTurnoverRate(turnoverRate);
		return this;
    }
	
	 /**
    * 设置 开始 离岗率
    * @param turnoverRateStart
    */
    public PerformPerposeDeptStatQuery turnoverRateStart(BigDecimal turnoverRateStart){
		this.turnoverRateStart = turnoverRateStart;
		return this;
    }

    /**
    * 设置 结束 离岗率
    * @param turnoverRateEnd
    */
    public PerformPerposeDeptStatQuery turnoverRateEnd(BigDecimal turnoverRateEnd){
		this.turnoverRateEnd = turnoverRateEnd;
		return this;
    }

    /**
    * 设置 增加 离岗率
    * @param turnoverRateIncrement
    */
    public PerformPerposeDeptStatQuery turnoverRateIncrement(BigDecimal turnoverRateIncrement){
		this.turnoverRateIncrement = turnoverRateIncrement;
		return this;
    }

    /**
    * 设置 离岗率
    * @param turnoverRateList
    */
    public PerformPerposeDeptStatQuery turnoverRateList(List<BigDecimal> turnoverRateList){
        this.turnoverRateList = turnoverRateList;
		return this;
        }

        /**
        * 设置 离岗率
        * @param turnoverRateNotList
        */
        public PerformPerposeDeptStatQuery turnoverRateNotList(List<BigDecimal> turnoverRateNotList){
        this.turnoverRateNotList = turnoverRateNotList;
        return this;
        }

    /**
    * 设置  睡觉率
    * @param sleepRate
    */
    public PerformPerposeDeptStatQuery sleepRate(BigDecimal sleepRate){
	    setSleepRate(sleepRate);
		return this;
    }
	
	 /**
    * 设置 开始 睡觉率
    * @param sleepRateStart
    */
    public PerformPerposeDeptStatQuery sleepRateStart(BigDecimal sleepRateStart){
		this.sleepRateStart = sleepRateStart;
		return this;
    }

    /**
    * 设置 结束 睡觉率
    * @param sleepRateEnd
    */
    public PerformPerposeDeptStatQuery sleepRateEnd(BigDecimal sleepRateEnd){
		this.sleepRateEnd = sleepRateEnd;
		return this;
    }

    /**
    * 设置 增加 睡觉率
    * @param sleepRateIncrement
    */
    public PerformPerposeDeptStatQuery sleepRateIncrement(BigDecimal sleepRateIncrement){
		this.sleepRateIncrement = sleepRateIncrement;
		return this;
    }

    /**
    * 设置 睡觉率
    * @param sleepRateList
    */
    public PerformPerposeDeptStatQuery sleepRateList(List<BigDecimal> sleepRateList){
        this.sleepRateList = sleepRateList;
		return this;
        }

        /**
        * 设置 睡觉率
        * @param sleepRateNotList
        */
        public PerformPerposeDeptStatQuery sleepRateNotList(List<BigDecimal> sleepRateNotList){
        this.sleepRateNotList = sleepRateNotList;
        return this;
        }

    /**
    * 设置  玩手机率
    * @param playPhoneRate
    */
    public PerformPerposeDeptStatQuery playPhoneRate(BigDecimal playPhoneRate){
	    setPlayPhoneRate(playPhoneRate);
		return this;
    }
	
	 /**
    * 设置 开始 玩手机率
    * @param playPhoneRateStart
    */
    public PerformPerposeDeptStatQuery playPhoneRateStart(BigDecimal playPhoneRateStart){
		this.playPhoneRateStart = playPhoneRateStart;
		return this;
    }

    /**
    * 设置 结束 玩手机率
    * @param playPhoneRateEnd
    */
    public PerformPerposeDeptStatQuery playPhoneRateEnd(BigDecimal playPhoneRateEnd){
		this.playPhoneRateEnd = playPhoneRateEnd;
		return this;
    }

    /**
    * 设置 增加 玩手机率
    * @param playPhoneRateIncrement
    */
    public PerformPerposeDeptStatQuery playPhoneRateIncrement(BigDecimal playPhoneRateIncrement){
		this.playPhoneRateIncrement = playPhoneRateIncrement;
		return this;
    }

    /**
    * 设置 玩手机率
    * @param playPhoneRateList
    */
    public PerformPerposeDeptStatQuery playPhoneRateList(List<BigDecimal> playPhoneRateList){
        this.playPhoneRateList = playPhoneRateList;
		return this;
        }

        /**
        * 设置 玩手机率
        * @param playPhoneRateNotList
        */
        public PerformPerposeDeptStatQuery playPhoneRateNotList(List<BigDecimal> playPhoneRateNotList){
        this.playPhoneRateNotList = playPhoneRateNotList;
        return this;
        }

    /**
    * 设置  办件超期率
    * @param expireWorkRate
    */
    public PerformPerposeDeptStatQuery expireWorkRate(BigDecimal expireWorkRate){
	    setExpireWorkRate(expireWorkRate);
		return this;
    }
	
	 /**
    * 设置 开始 办件超期率
    * @param expireWorkRateStart
    */
    public PerformPerposeDeptStatQuery expireWorkRateStart(BigDecimal expireWorkRateStart){
		this.expireWorkRateStart = expireWorkRateStart;
		return this;
    }

    /**
    * 设置 结束 办件超期率
    * @param expireWorkRateEnd
    */
    public PerformPerposeDeptStatQuery expireWorkRateEnd(BigDecimal expireWorkRateEnd){
		this.expireWorkRateEnd = expireWorkRateEnd;
		return this;
    }

    /**
    * 设置 增加 办件超期率
    * @param expireWorkRateIncrement
    */
    public PerformPerposeDeptStatQuery expireWorkRateIncrement(BigDecimal expireWorkRateIncrement){
		this.expireWorkRateIncrement = expireWorkRateIncrement;
		return this;
    }

    /**
    * 设置 办件超期率
    * @param expireWorkRateList
    */
    public PerformPerposeDeptStatQuery expireWorkRateList(List<BigDecimal> expireWorkRateList){
        this.expireWorkRateList = expireWorkRateList;
		return this;
        }

        /**
        * 设置 办件超期率
        * @param expireWorkRateNotList
        */
        public PerformPerposeDeptStatQuery expireWorkRateNotList(List<BigDecimal> expireWorkRateNotList){
        this.expireWorkRateNotList = expireWorkRateNotList;
        return this;
        }

    /**
    * 设置  差评率
    * @param negaReviewRate
    */
    public PerformPerposeDeptStatQuery negaReviewRate(BigDecimal negaReviewRate){
	    setNegaReviewRate(negaReviewRate);
		return this;
    }
	
	 /**
    * 设置 开始 差评率
    * @param negaReviewRateStart
    */
    public PerformPerposeDeptStatQuery negaReviewRateStart(BigDecimal negaReviewRateStart){
		this.negaReviewRateStart = negaReviewRateStart;
		return this;
    }

    /**
    * 设置 结束 差评率
    * @param negaReviewRateEnd
    */
    public PerformPerposeDeptStatQuery negaReviewRateEnd(BigDecimal negaReviewRateEnd){
		this.negaReviewRateEnd = negaReviewRateEnd;
		return this;
    }

    /**
    * 设置 增加 差评率
    * @param negaReviewRateIncrement
    */
    public PerformPerposeDeptStatQuery negaReviewRateIncrement(BigDecimal negaReviewRateIncrement){
		this.negaReviewRateIncrement = negaReviewRateIncrement;
		return this;
    }

    /**
    * 设置 差评率
    * @param negaReviewRateList
    */
    public PerformPerposeDeptStatQuery negaReviewRateList(List<BigDecimal> negaReviewRateList){
        this.negaReviewRateList = negaReviewRateList;
		return this;
        }

        /**
        * 设置 差评率
        * @param negaReviewRateNotList
        */
        public PerformPerposeDeptStatQuery negaReviewRateNotList(List<BigDecimal> negaReviewRateNotList){
        this.negaReviewRateNotList = negaReviewRateNotList;
        return this;
        }


	/**
    * 设置 备注
    * @param remark
    */
    public PerformPerposeDeptStatQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public PerformPerposeDeptStatQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  年
    * @param year
    */
    public PerformPerposeDeptStatQuery year(Integer year){
	    setYear(year);
		return this;
    }
	
	 /**
    * 设置 开始 年
    * @param yearStart
    */
    public PerformPerposeDeptStatQuery yearStart(Integer yearStart){
		this.yearStart = yearStart;
		return this;
    }

    /**
    * 设置 结束 年
    * @param yearEnd
    */
    public PerformPerposeDeptStatQuery yearEnd(Integer yearEnd){
		this.yearEnd = yearEnd;
		return this;
    }

    /**
    * 设置 增加 年
    * @param yearIncrement
    */
    public PerformPerposeDeptStatQuery yearIncrement(Integer yearIncrement){
		this.yearIncrement = yearIncrement;
		return this;
    }

    /**
    * 设置 年
    * @param yearList
    */
    public PerformPerposeDeptStatQuery yearList(List<Integer> yearList){
        this.yearList = yearList;
		return this;
        }

        /**
        * 设置 年
        * @param yearNotList
        */
        public PerformPerposeDeptStatQuery yearNotList(List<Integer> yearNotList){
        this.yearNotList = yearNotList;
        return this;
        }

    /**
    * 设置  月
    * @param month
    */
    public PerformPerposeDeptStatQuery month(Integer month){
	    setMonth(month);
		return this;
    }
	
	 /**
    * 设置 开始 月
    * @param monthStart
    */
    public PerformPerposeDeptStatQuery monthStart(Integer monthStart){
		this.monthStart = monthStart;
		return this;
    }

    /**
    * 设置 结束 月
    * @param monthEnd
    */
    public PerformPerposeDeptStatQuery monthEnd(Integer monthEnd){
		this.monthEnd = monthEnd;
		return this;
    }

    /**
    * 设置 增加 月
    * @param monthIncrement
    */
    public PerformPerposeDeptStatQuery monthIncrement(Integer monthIncrement){
		this.monthIncrement = monthIncrement;
		return this;
    }

    /**
    * 设置 月
    * @param monthList
    */
    public PerformPerposeDeptStatQuery monthList(List<Integer> monthList){
        this.monthList = monthList;
		return this;
        }

        /**
        * 设置 月
        * @param monthNotList
        */
        public PerformPerposeDeptStatQuery monthNotList(List<Integer> monthNotList){
        this.monthNotList = monthNotList;
        return this;
        }

    /**
    * 设置  日
    * @param day
    */
    public PerformPerposeDeptStatQuery day(Integer day){
	    setDay(day);
		return this;
    }
	
	 /**
    * 设置 开始 日
    * @param dayStart
    */
    public PerformPerposeDeptStatQuery dayStart(Integer dayStart){
		this.dayStart = dayStart;
		return this;
    }

    /**
    * 设置 结束 日
    * @param dayEnd
    */
    public PerformPerposeDeptStatQuery dayEnd(Integer dayEnd){
		this.dayEnd = dayEnd;
		return this;
    }

    /**
    * 设置 增加 日
    * @param dayIncrement
    */
    public PerformPerposeDeptStatQuery dayIncrement(Integer dayIncrement){
		this.dayIncrement = dayIncrement;
		return this;
    }

    /**
    * 设置 日
    * @param dayList
    */
    public PerformPerposeDeptStatQuery dayList(List<Integer> dayList){
        this.dayList = dayList;
		return this;
        }

        /**
        * 设置 日
        * @param dayNotList
        */
        public PerformPerposeDeptStatQuery dayNotList(List<Integer> dayNotList){
        this.dayNotList = dayNotList;
        return this;
        }


    /**
    * 设置  创建人id
    * @param createUserId
    */
    public PerformPerposeDeptStatQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建人id
    * @param createUserIdStart
    */
    public PerformPerposeDeptStatQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建人id
    * @param createUserIdEnd
    */
    public PerformPerposeDeptStatQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建人id
    * @param createUserIdIncrement
    */
    public PerformPerposeDeptStatQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建人id
    * @param createUserIdList
    */
    public PerformPerposeDeptStatQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建人id
        * @param createUserIdNotList
        */
        public PerformPerposeDeptStatQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新人id
    * @param updateUserId
    */
    public PerformPerposeDeptStatQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新人id
    * @param updateUserIdStart
    */
    public PerformPerposeDeptStatQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新人id
    * @param updateUserIdEnd
    */
    public PerformPerposeDeptStatQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新人id
    * @param updateUserIdIncrement
    */
    public PerformPerposeDeptStatQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新人id
    * @param updateUserIdList
    */
    public PerformPerposeDeptStatQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新人id
        * @param updateUserIdNotList
        */
        public PerformPerposeDeptStatQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<PerformPerposeDeptStatQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<PerformPerposeDeptStatQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<PerformPerposeDeptStatQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<PerformPerposeDeptStatQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}